[PC-BSD Commits] r3992 - in pcbsd: trunk/system-overlay/PCBSD/xorg-gui/bin trunk-current/system-overlay/usr/PCBSD/xorg-gui/bin
svn at pcbsd.org
svn at pcbsd.org
Thu May 28 10:35:20 PDT 2009
Author: kris
Date: 2009-05-28 10:35:19 -0700 (Thu, 28 May 2009)
New Revision: 3992
Modified:
pcbsd/trunk-current/system-overlay/usr/PCBSD/xorg-gui/bin/rundetect.sh
pcbsd/trunk/system-overlay/PCBSD/xorg-gui/bin/rundetect.sh
Log:
Updated our rundetect script, don't need to warn about nvidia drivers anymore, they don't require a reboot to init
Modified: pcbsd/trunk/system-overlay/PCBSD/xorg-gui/bin/rundetect.sh
===================================================================
--- pcbsd/trunk/system-overlay/PCBSD/xorg-gui/bin/rundetect.sh 2009-05-28 16:52:40 UTC (rev 3991)
+++ pcbsd/trunk/system-overlay/PCBSD/xorg-gui/bin/rundetect.sh 2009-05-28 17:35:19 UTC (rev 3992)
@@ -32,62 +32,56 @@
echo "`clear`" >/dev/console
-# If we have rebooted for nvidia drivers, skip some inital setup
-if [ ! -e "/PCBSD/xorg-gui/.nvidiareboot" ]
+# Move any existing xorg.conf file
+if [ -e "/etc/X11/xorg.conf" ]
then
- rm /PCBSD/xorg-gui/.xsettings.sh >/dev/null 2>/dev/null
+ mv /etc/X11/xorg.conf /etc/X11/xorg.conf.bak
+fi
- # Move any existing xorg.conf file
- if [ -e "/etc/X11/xorg.conf" ]
- then
- mv /etc/X11/xorg.conf /etc/X11/xorg.conf.bak
- fi
+echo "Determining monitor refresh rate capabilities..." >/dev/console
+X -configure 2>/dev/null
- echo "Determining monitor refresh rate capabilities..." >/dev/console
- X -configure 2>/dev/null
+# Clear out any old refresh rates
+rm /tmp/.horzsync >/dev/null 2>/dev/null
+rm /tmp/.vertsync >/dev/null 2>/dev/null
+rm /tmp/.monmodel >/dev/null 2>/dev/null
+rm /tmp/.monvendor >/dev/null 2>/dev/null
+rm /tmp/.cardboard >/dev/null 2>/dev/null
+rm /tmp/.cardbus >/dev/null 2>/dev/null
+rm /tmp/.cardvendor >/dev/null 2>/dev/null
- # Clear out any old refresh rates
- rm /tmp/.horzsync >/dev/null 2>/dev/null
- rm /tmp/.vertsync >/dev/null 2>/dev/null
- rm /tmp/.monmodel >/dev/null 2>/dev/null
- rm /tmp/.monvendor >/dev/null 2>/dev/null
- rm /tmp/.cardboard >/dev/null 2>/dev/null
- rm /tmp/.cardbus >/dev/null 2>/dev/null
- rm /tmp/.cardvendor >/dev/null 2>/dev/null
+# Check for refresh rate lines
+cat /root/xorg.conf.new | grep HorizSync >/dev/null 2>/dev/null
+if [ "$?" = "0" ]
+then
+ cat /root/xorg.conf.new | grep HorizSync > /tmp/.horzsync
+fi
- # Check for refresh rate lines
- cat /root/xorg.conf.new | grep HorizSync >/dev/null 2>/dev/null
- if [ "$?" = "0" ]
- then
- cat /root/xorg.conf.new | grep HorizSync > /tmp/.horzsync
- fi
+cat /root/xorg.conf.new | grep VertRefresh >/dev/null 2>/dev/null
+if [ "$?" = "0" ]
+then
+ cat /root/xorg.conf.new | grep VertRefresh > /tmp/.vertsync
+fi
- cat /root/xorg.conf.new | grep VertRefresh >/dev/null 2>/dev/null
- if [ "$?" = "0" ]
- then
- cat /root/xorg.conf.new | grep VertRefresh > /tmp/.vertsync
- fi
-
- # Get the monitor model
- ${PROGDIR}/scripts/monmodel.sh > /tmp/.monmodel
+# Get the monitor model
+${PROGDIR}/scripts/monmodel.sh > /tmp/.monmodel
- # Get the monitor vendor
- ${PROGDIR}/scripts/monvendor.sh > /tmp/.monvendor
+# Get the monitor vendor
+${PROGDIR}/scripts/monvendor.sh > /tmp/.monvendor
- # Get the card board edition
- ${PROGDIR}/scripts/cardboard.sh > /tmp/.cardboard
+# Get the card board edition
+${PROGDIR}/scripts/cardboard.sh > /tmp/.cardboard
- # Get the card bus
- ${PROGDIR}/scripts/cardbus.sh > /tmp/.cardbus
+# Get the card bus
+${PROGDIR}/scripts/cardbus.sh > /tmp/.cardbus
- # Get the card vendor
- ${PROGDIR}/scripts/cardvendor.sh > /tmp/.cardvendor
+# Get the card vendor
+${PROGDIR}/scripts/cardvendor.sh > /tmp/.cardvendor
- # Check if we have an unprobed / unknown monitor
- ${PROGDIR}/scripts/checkunprobed.sh
+# Check if we have an unprobed / unknown monitor
+${PROGDIR}/scripts/checkunprobed.sh
-fi # End of skip for nvidia reboot
echo "Please wait... Start X-Configuration Utility" >/dev/console
@@ -137,49 +131,39 @@
i=1
do
-# If we have rebooted for nvidia drivers go straight to confirm screen
-if [ ! -e "/PCBSD/xorg-gui/.nvidiareboot" ]
-then
- # Save the previous xorg.conf file for troubleshooting
- if [ -e "/etc/X11/xorg.conf" ]
- then
- mv /etc/X11/xorg.conf /etc/X11/xorg.conf.previous
- fi
+ # Save the previous xorg.conf file for troubleshooting
+ if [ -e "/etc/X11/xorg.conf" ]
+ then
+ mv /etc/X11/xorg.conf /etc/X11/xorg.conf.previous
+ fi
-if [ "${ATTEMPT}" = "0" ]
-then
+ if [ "${ATTEMPT}" = "0" ]
+ then
+ # Use the saved xorg.conf.basic file
+ echo "Using saved /PCBSD/xorg-gui/conf/xorg.conf.basic from install..." >/dev/console
+ cp /PCBSD/xorg-gui/conf/xorg.conf.basic /etc/X11/xorg.conf
+ elif [ "${ATTEMPT}" = "1" ]
+ then
+ # Try running the driver detection again
+ rm /etc/X11/xorg.conf
+ echo "Saved configuration failed... Running auto-detect..." >/dev/console
+ /PCBSD/xorg-gui/cardDetect/x_config.sh
+ else
+ # Still failed, drop to VESA failsafe
+ echo "Auto-detected settings failed... Using failsafe VESA 1024x768 mode..." >/dev/console
+ rm /etc/X11/xorg.conf
+ cp /PCBSD/xorg-gui/cardDetect/XF86Config.compat /etc/X11/xorg.conf
+ fi
- # Use the saved xorg.conf.basic file
- echo "Using saved /PCBSD/xorg-gui/conf/xorg.conf.basic from install..." >/dev/console
- cp /PCBSD/xorg-gui/conf/xorg.conf.basic /etc/X11/xorg.conf
-elif [ "${ATTEMPT}" = "1" ]
-then
+ # Check if the previous attempt failed
+ if [ -e "/PCBSD/xorg-gui/.failed" ]
+ then
+ rm /PCBSD/xorg-gui/.failed
+ ##### Create the xinitrc file
+ echo '#!/bin/sh
- # Try running the driver detection again
- rm /etc/X11/xorg.conf
- echo "Saved configuration failed... Running auto-detect..." >/dev/console
- /PCBSD/xorg-gui/cardDetect/x_config.sh
-
-else
-
- # Still failed, drop to VESA failsafe
- echo "Auto-detected settings failed... Using failsafe VESA 1024x768 mode..." >/dev/console
- rm /etc/X11/xorg.conf
- cp /PCBSD/xorg-gui/cardDetect/XF86Config.compat /etc/X11/xorg.conf
-
-fi
-
-
-# Check if the previous attempt failed
-if [ -e "/PCBSD/xorg-gui/.failed" ]
-then
- rm /PCBSD/xorg-gui/.failed
-
- ##### Create the xinitrc file
- echo '#!/bin/sh
-
# Set all our path variables
PATH="/sbin:/bin:/usr/sbin:/usr/bin:/root/bin:/PCBSD/local/bin:/PCBSD/local/sbin:/PCBSD/local/kde4/bin"
export PATH
@@ -196,13 +180,12 @@
fi
kill -9 ${PID}
' > /root/.xinitrc
- chmod 755 /root/.xinitrc
+ chmod 755 /root/.xinitrc
- else
+ else
+ ##### Create the xinitrc file
+ echo '#!/bin/sh
- ##### Create the xinitrc file
- echo '#!/bin/sh
-
# Set all our path variables
PATH="/sbin:/bin:/usr/sbin:/usr/bin:/root/bin:/PCBSD/local/bin:/PCBSD/local/sbin:/PCBSD/local/kde4/bin"
export PATH
@@ -217,64 +200,39 @@
echo "Canceled" > /PCBSD/xorg-gui/.canceled
fi
-cat /PCBSD/xorg-gui/.xsettings.sh | grep nvidia >/dev/null
-if [ "$?" = "0" ]
-then
- ls /dev/nvidiactl* >/dev/null
- if [ "$?" != "0" ]
- then
- /PCBSD/local/kde4/bin/kdialog --msgbox "The system will install the NVIDIA kernel module. You may be asked to confirm the resolution after a reboot is performed."
- touch /PCBSD/xorg-gui/.nvidiareboot
- touch /PCBSD/xorg-gui/.rerunxsetup
- fi
-fi
-
kill -9 ${PID}
' > /root/.xinitrc
- chmod 755 /root/.xinitrc
+ chmod 755 /root/.xinitrc
+ fi
-
- fi
+ echo "Please wait... Starting X..." >/dev/console
+ sleep 1
+ # Start the X gui
+ /PCBSD/local/bin/startx 2>>${XLOG}
- echo "Please wait... Starting X..." >/dev/console
- sleep 1
- # Start the X gui
- /PCBSD/local/bin/startx 2>>${XLOG}
+ #### Create the new XF86Config file with the user settings
+ echo "Generating new Xorg configuration file..." >/dev/console
+ /PCBSD/xorg-gui/bin/setupconf.sh >>${XLOG} 2>>${XLOG}
-# if the user chose an nvidia driver and we need to reboot, do it
-if [ -e "/PCBSD/xorg-gui/.nvidiareboot" ]
-then
- #### Create the new XF86Config file with the user settings
- echo "Generating new Xorg configuration file..." >/dev/console
- /PCBSD/xorg-gui/bin/setupconf.sh >>${XLOG} 2>>${XLOG}
-fi
+ # The user canceled the dialog, and chose to use the default
+ if [ -e "/PCBSD/xorg-gui/.canceled" ]
+ then
+ break
+ fi
- # The user canceled the dialog, and chose to use the default
- if [ -e "/PCBSD/xorg-gui/.canceled" ]
- then
- break
- fi
-fi # End of nvidia skip
+ # Check if a new version of xorg.conf is ready to be tested
+ if [ -e "/PCBSD/xorg-gui/.xsettings.sh" ]
+ then
+ rm /PCBSD/xorg-gui/.selected >/dev/null 2>/dev/null
-# Check if a new version of xorg.conf is ready to be tested
-if [ -e "/PCBSD/xorg-gui/.xsettings.sh" ]
-then
+ #### Create the new XF86Config file with the user settings
+ echo "Generating new Xorg configuration file..." >/dev/console
+ /PCBSD/xorg-gui/bin/setupconf.sh >>${XLOG} 2>>${XLOG}
-rm /PCBSD/xorg-gui/.selected >/dev/null 2>/dev/null
-if [ ! -e "/PCBSD/xorg-gui/.nvidiareboot" ]
-then
- #### Create the new XF86Config file with the user settings
- echo "Generating new Xorg configuration file..." >/dev/console
- /PCBSD/xorg-gui/bin/setupconf.sh >>${XLOG} 2>>${XLOG}
-else
- # Remove the old nvidareboot file
- rm /PCBSD/xorg-gui/.nvidiareboot
-fi
-
-##### Create the xinitrc file
-echo '#!/bin/sh
+ ##### Create the xinitrc file
+ echo '#!/bin/sh
/PCBSD/local/bin/fluxbox &
PID=$!
/PCBSD/xorg-gui/bin/XGUI -test
@@ -284,32 +242,32 @@
fi
kill -9 ${PID}
' > /root/.xinitrc
-chmod 755 /root/.xinitrc
+ chmod 755 /root/.xinitrc
-echo "Please wait... Starting X..." >/dev/console
-sleep 1
-/PCBSD/local/bin/startx 2>>${XLOG}
+ echo "Please wait... Starting X..." >/dev/console
+ sleep 1
+ /PCBSD/local/bin/startx 2>>${XLOG}
-fi
+ fi
-if [ -e "/PCBSD/xorg-gui/.selected" ]
-then
- break
-else
- echo "failed" > /PCBSD/xorg-gui/.failed
-fi
+ if [ -e "/PCBSD/xorg-gui/.selected" ]
+ then
+ break
+ else
+ echo "failed" > /PCBSD/xorg-gui/.failed
+ fi
-# Check if the X startup was a success
-if [ ! -e "/PCBSD/xorg-gui/.xstartupsuccess" ]
-then
- ATTEMPT="`expr $ATTEMPT + 1`"
- rm /PCBSD/xorg-gui/.failed
-else
- rm /PCBSD/xorg-gui/.xstartupsuccess
-fi
+ # Check if the X startup was a success
+ if [ ! -e "/PCBSD/xorg-gui/.xstartupsuccess" ]
+ then
+ ATTEMPT="`expr $ATTEMPT + 1`"
+ rm /PCBSD/xorg-gui/.failed
+ else
+ rm /PCBSD/xorg-gui/.xstartupsuccess
+ fi
-# Removed any saved settings file
-rm /PCBSD/xorg-gui/.xsettings.sh
+ # Removed any saved settings file
+ rm /PCBSD/xorg-gui/.xsettings.sh
done
@@ -331,7 +289,6 @@
mv /root/.fluxbox.xbak /root/.fluxbox
fi
-rm /PCBSD/xorg-gui/.nvidiareboot >/dev/null 2>/dev/null
rm /PCBSD/xorg-gui/.rerunxsetup >/dev/null 2>/dev/null
rm /PCBSD/xorg-gui/.skipauto >/dev/null 2>/dev/null
echo "Preparing to start the desktop..." >/dev/console
Modified: pcbsd/trunk-current/system-overlay/usr/PCBSD/xorg-gui/bin/rundetect.sh
===================================================================
--- pcbsd/trunk-current/system-overlay/usr/PCBSD/xorg-gui/bin/rundetect.sh 2009-05-28 16:52:40 UTC (rev 3991)
+++ pcbsd/trunk-current/system-overlay/usr/PCBSD/xorg-gui/bin/rundetect.sh 2009-05-28 17:35:19 UTC (rev 3992)
@@ -32,62 +32,56 @@
echo "`clear`" >/dev/console
-# If we have rebooted for nvidia drivers, skip some inital setup
-if [ ! -e "/PCBSD/xorg-gui/.nvidiareboot" ]
+# Move any existing xorg.conf file
+if [ -e "/etc/X11/xorg.conf" ]
then
- rm /PCBSD/xorg-gui/.xsettings.sh >/dev/null 2>/dev/null
+ mv /etc/X11/xorg.conf /etc/X11/xorg.conf.bak
+fi
- # Move any existing xorg.conf file
- if [ -e "/etc/X11/xorg.conf" ]
- then
- mv /etc/X11/xorg.conf /etc/X11/xorg.conf.bak
- fi
+echo "Determining monitor refresh rate capabilities..." >/dev/console
+X -configure 2>/dev/null
- echo "Determining monitor refresh rate capabilities..." >/dev/console
- X -configure 2>/dev/null
+# Clear out any old refresh rates
+rm /tmp/.horzsync >/dev/null 2>/dev/null
+rm /tmp/.vertsync >/dev/null 2>/dev/null
+rm /tmp/.monmodel >/dev/null 2>/dev/null
+rm /tmp/.monvendor >/dev/null 2>/dev/null
+rm /tmp/.cardboard >/dev/null 2>/dev/null
+rm /tmp/.cardbus >/dev/null 2>/dev/null
+rm /tmp/.cardvendor >/dev/null 2>/dev/null
- # Clear out any old refresh rates
- rm /tmp/.horzsync >/dev/null 2>/dev/null
- rm /tmp/.vertsync >/dev/null 2>/dev/null
- rm /tmp/.monmodel >/dev/null 2>/dev/null
- rm /tmp/.monvendor >/dev/null 2>/dev/null
- rm /tmp/.cardboard >/dev/null 2>/dev/null
- rm /tmp/.cardbus >/dev/null 2>/dev/null
- rm /tmp/.cardvendor >/dev/null 2>/dev/null
+# Check for refresh rate lines
+cat /root/xorg.conf.new | grep HorizSync >/dev/null 2>/dev/null
+if [ "$?" = "0" ]
+then
+ cat /root/xorg.conf.new | grep HorizSync > /tmp/.horzsync
+fi
- # Check for refresh rate lines
- cat /root/xorg.conf.new | grep HorizSync >/dev/null 2>/dev/null
- if [ "$?" = "0" ]
- then
- cat /root/xorg.conf.new | grep HorizSync > /tmp/.horzsync
- fi
+cat /root/xorg.conf.new | grep VertRefresh >/dev/null 2>/dev/null
+if [ "$?" = "0" ]
+then
+ cat /root/xorg.conf.new | grep VertRefresh > /tmp/.vertsync
+fi
- cat /root/xorg.conf.new | grep VertRefresh >/dev/null 2>/dev/null
- if [ "$?" = "0" ]
- then
- cat /root/xorg.conf.new | grep VertRefresh > /tmp/.vertsync
- fi
-
- # Get the monitor model
- ${PROGDIR}/scripts/monmodel.sh > /tmp/.monmodel
+# Get the monitor model
+${PROGDIR}/scripts/monmodel.sh > /tmp/.monmodel
- # Get the monitor vendor
- ${PROGDIR}/scripts/monvendor.sh > /tmp/.monvendor
+# Get the monitor vendor
+${PROGDIR}/scripts/monvendor.sh > /tmp/.monvendor
- # Get the card board edition
- ${PROGDIR}/scripts/cardboard.sh > /tmp/.cardboard
+# Get the card board edition
+${PROGDIR}/scripts/cardboard.sh > /tmp/.cardboard
- # Get the card bus
- ${PROGDIR}/scripts/cardbus.sh > /tmp/.cardbus
+# Get the card bus
+${PROGDIR}/scripts/cardbus.sh > /tmp/.cardbus
- # Get the card vendor
- ${PROGDIR}/scripts/cardvendor.sh > /tmp/.cardvendor
+# Get the card vendor
+${PROGDIR}/scripts/cardvendor.sh > /tmp/.cardvendor
- # Check if we have an unprobed / unknown monitor
- ${PROGDIR}/scripts/checkunprobed.sh
+# Check if we have an unprobed / unknown monitor
+${PROGDIR}/scripts/checkunprobed.sh
-fi # End of skip for nvidia reboot
echo "Please wait... Start X-Configuration Utility" >/dev/console
@@ -137,49 +131,39 @@
i=1
do
-# If we have rebooted for nvidia drivers go straight to confirm screen
-if [ ! -e "/PCBSD/xorg-gui/.nvidiareboot" ]
-then
- # Save the previous xorg.conf file for troubleshooting
- if [ -e "/etc/X11/xorg.conf" ]
- then
- mv /etc/X11/xorg.conf /etc/X11/xorg.conf.previous
- fi
+ # Save the previous xorg.conf file for troubleshooting
+ if [ -e "/etc/X11/xorg.conf" ]
+ then
+ mv /etc/X11/xorg.conf /etc/X11/xorg.conf.previous
+ fi
-if [ "${ATTEMPT}" = "0" ]
-then
+ if [ "${ATTEMPT}" = "0" ]
+ then
+ # Use the saved xorg.conf.basic file
+ echo "Using saved /PCBSD/xorg-gui/conf/xorg.conf.basic from install..." >/dev/console
+ cp /PCBSD/xorg-gui/conf/xorg.conf.basic /etc/X11/xorg.conf
+ elif [ "${ATTEMPT}" = "1" ]
+ then
+ # Try running the driver detection again
+ rm /etc/X11/xorg.conf
+ echo "Saved configuration failed... Running auto-detect..." >/dev/console
+ /PCBSD/xorg-gui/cardDetect/x_config.sh
+ else
+ # Still failed, drop to VESA failsafe
+ echo "Auto-detected settings failed... Using failsafe VESA 1024x768 mode..." >/dev/console
+ rm /etc/X11/xorg.conf
+ cp /PCBSD/xorg-gui/cardDetect/XF86Config.compat /etc/X11/xorg.conf
+ fi
- # Use the saved xorg.conf.basic file
- echo "Using saved /PCBSD/xorg-gui/conf/xorg.conf.basic from install..." >/dev/console
- cp /PCBSD/xorg-gui/conf/xorg.conf.basic /etc/X11/xorg.conf
-elif [ "${ATTEMPT}" = "1" ]
-then
+ # Check if the previous attempt failed
+ if [ -e "/PCBSD/xorg-gui/.failed" ]
+ then
+ rm /PCBSD/xorg-gui/.failed
+ ##### Create the xinitrc file
+ echo '#!/bin/sh
- # Try running the driver detection again
- rm /etc/X11/xorg.conf
- echo "Saved configuration failed... Running auto-detect..." >/dev/console
- /PCBSD/xorg-gui/cardDetect/x_config.sh
-
-else
-
- # Still failed, drop to VESA failsafe
- echo "Auto-detected settings failed... Using failsafe VESA 1024x768 mode..." >/dev/console
- rm /etc/X11/xorg.conf
- cp /PCBSD/xorg-gui/cardDetect/XF86Config.compat /etc/X11/xorg.conf
-
-fi
-
-
-# Check if the previous attempt failed
-if [ -e "/PCBSD/xorg-gui/.failed" ]
-then
- rm /PCBSD/xorg-gui/.failed
-
- ##### Create the xinitrc file
- echo '#!/bin/sh
-
# Set all our path variables
PATH="/sbin:/bin:/usr/sbin:/usr/bin:/root/bin:/PCBSD/local/bin:/PCBSD/local/sbin:/PCBSD/local/kde4/bin"
export PATH
@@ -196,13 +180,12 @@
fi
kill -9 ${PID}
' > /root/.xinitrc
- chmod 755 /root/.xinitrc
+ chmod 755 /root/.xinitrc
- else
+ else
+ ##### Create the xinitrc file
+ echo '#!/bin/sh
- ##### Create the xinitrc file
- echo '#!/bin/sh
-
# Set all our path variables
PATH="/sbin:/bin:/usr/sbin:/usr/bin:/root/bin:/PCBSD/local/bin:/PCBSD/local/sbin:/PCBSD/local/kde4/bin"
export PATH
@@ -217,64 +200,39 @@
echo "Canceled" > /PCBSD/xorg-gui/.canceled
fi
-cat /PCBSD/xorg-gui/.xsettings.sh | grep nvidia >/dev/null
-if [ "$?" = "0" ]
-then
- ls /dev/nvidiactl* >/dev/null
- if [ "$?" != "0" ]
- then
- /PCBSD/local/kde4/bin/kdialog --msgbox "The system will install the NVIDIA kernel module. You may be asked to confirm the resolution after a reboot is performed."
- touch /PCBSD/xorg-gui/.nvidiareboot
- touch /PCBSD/xorg-gui/.rerunxsetup
- fi
-fi
-
kill -9 ${PID}
' > /root/.xinitrc
- chmod 755 /root/.xinitrc
+ chmod 755 /root/.xinitrc
+ fi
-
- fi
+ echo "Please wait... Starting X..." >/dev/console
+ sleep 1
+ # Start the X gui
+ /PCBSD/local/bin/startx 2>>${XLOG}
- echo "Please wait... Starting X..." >/dev/console
- sleep 1
- # Start the X gui
- /PCBSD/local/bin/startx 2>>${XLOG}
+ #### Create the new XF86Config file with the user settings
+ echo "Generating new Xorg configuration file..." >/dev/console
+ /PCBSD/xorg-gui/bin/setupconf.sh >>${XLOG} 2>>${XLOG}
-# if the user chose an nvidia driver and we need to reboot, do it
-if [ -e "/PCBSD/xorg-gui/.nvidiareboot" ]
-then
- #### Create the new XF86Config file with the user settings
- echo "Generating new Xorg configuration file..." >/dev/console
- /PCBSD/xorg-gui/bin/setupconf.sh >>${XLOG} 2>>${XLOG}
-fi
+ # The user canceled the dialog, and chose to use the default
+ if [ -e "/PCBSD/xorg-gui/.canceled" ]
+ then
+ break
+ fi
- # The user canceled the dialog, and chose to use the default
- if [ -e "/PCBSD/xorg-gui/.canceled" ]
- then
- break
- fi
-fi # End of nvidia skip
+ # Check if a new version of xorg.conf is ready to be tested
+ if [ -e "/PCBSD/xorg-gui/.xsettings.sh" ]
+ then
+ rm /PCBSD/xorg-gui/.selected >/dev/null 2>/dev/null
-# Check if a new version of xorg.conf is ready to be tested
-if [ -e "/PCBSD/xorg-gui/.xsettings.sh" ]
-then
+ #### Create the new XF86Config file with the user settings
+ echo "Generating new Xorg configuration file..." >/dev/console
+ /PCBSD/xorg-gui/bin/setupconf.sh >>${XLOG} 2>>${XLOG}
-rm /PCBSD/xorg-gui/.selected >/dev/null 2>/dev/null
-if [ ! -e "/PCBSD/xorg-gui/.nvidiareboot" ]
-then
- #### Create the new XF86Config file with the user settings
- echo "Generating new Xorg configuration file..." >/dev/console
- /PCBSD/xorg-gui/bin/setupconf.sh >>${XLOG} 2>>${XLOG}
-else
- # Remove the old nvidareboot file
- rm /PCBSD/xorg-gui/.nvidiareboot
-fi
-
-##### Create the xinitrc file
-echo '#!/bin/sh
+ ##### Create the xinitrc file
+ echo '#!/bin/sh
/PCBSD/local/bin/fluxbox &
PID=$!
/PCBSD/xorg-gui/bin/XGUI -test
@@ -284,32 +242,32 @@
fi
kill -9 ${PID}
' > /root/.xinitrc
-chmod 755 /root/.xinitrc
+ chmod 755 /root/.xinitrc
-echo "Please wait... Starting X..." >/dev/console
-sleep 1
-/PCBSD/local/bin/startx 2>>${XLOG}
+ echo "Please wait... Starting X..." >/dev/console
+ sleep 1
+ /PCBSD/local/bin/startx 2>>${XLOG}
-fi
+ fi
-if [ -e "/PCBSD/xorg-gui/.selected" ]
-then
- break
-else
- echo "failed" > /PCBSD/xorg-gui/.failed
-fi
+ if [ -e "/PCBSD/xorg-gui/.selected" ]
+ then
+ break
+ else
+ echo "failed" > /PCBSD/xorg-gui/.failed
+ fi
-# Check if the X startup was a success
-if [ ! -e "/PCBSD/xorg-gui/.xstartupsuccess" ]
-then
- ATTEMPT="`expr $ATTEMPT + 1`"
- rm /PCBSD/xorg-gui/.failed
-else
- rm /PCBSD/xorg-gui/.xstartupsuccess
-fi
+ # Check if the X startup was a success
+ if [ ! -e "/PCBSD/xorg-gui/.xstartupsuccess" ]
+ then
+ ATTEMPT="`expr $ATTEMPT + 1`"
+ rm /PCBSD/xorg-gui/.failed
+ else
+ rm /PCBSD/xorg-gui/.xstartupsuccess
+ fi
-# Removed any saved settings file
-rm /PCBSD/xorg-gui/.xsettings.sh
+ # Removed any saved settings file
+ rm /PCBSD/xorg-gui/.xsettings.sh
done
@@ -331,7 +289,6 @@
mv /root/.fluxbox.xbak /root/.fluxbox
fi
-rm /PCBSD/xorg-gui/.nvidiareboot >/dev/null 2>/dev/null
rm /PCBSD/xorg-gui/.rerunxsetup >/dev/null 2>/dev/null
rm /PCBSD/xorg-gui/.skipauto >/dev/null 2>/dev/null
echo "Preparing to start the desktop..." >/dev/console
More information about the Commits
mailing list